# sfepy.solvers.auto_fallback module

class sfepy.solvers.auto_fallback.AutoDirect(conf, **kwargs)

  The automatically selected linear direct solver.

  The first available solver from the following list is used: ls.mumps <sfepy.solvers.ls.MUMPSSolver>, ls.scipy_umfpack <sfepy.solvers.ls.ScipyUmfpack> and ls.scipy_superlu <sfepy.solvers.ls.ScipySuperLU>.

  > Kind: ‘ls.auto_direct’

  > For common configuration parameters, see `Solver`.

  > Specific configuration parameters:

  Parameters:

  name = 'ls.auto_direct'

class sfepy.solvers.auto_fallback.AutoFallbackSolver(conf, **kwargs)

  Base class for virtual solvers with the automatic fallback.

class sfepy.solvers.auto_fallback.AutoIterative(conf, **kwargs)

  The automatically selected linear iterative solver.

  The first available solver from the following list is used: ls.petsc <sfepy.solvers.ls.PETScKrylovSolver> and ls.scipy_iterative <sfepy.solvers.ls.ScipyIterative>

  > Kind: ‘ls.auto_iterative’

  > For common configuration parameters, see `Solver`.

  > Specific configuration parameters:

  Parameters:

  name = 'ls.auto_iterative'